import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Stroke;
import java.awt.Point;


/** A point that may be drawn on the canvas. */
public class PointShape implements Shape {
   private Point point;  
   private Color color;
   private Stroke stroke;

    /** Construct a point given its color, stroke and location.

     The constructor assumes that all parameters are nonnull.
     */
   public PointShape (Color c, Stroke s, Point p) {
      color  = c;
      stroke = s;
      point  = p;
   }
   
   public void draw(Graphics2D gc) {
      gc.setColor(color);
      gc.setStroke(stroke);
      gc.drawLine(point.x, point.y, point.x, point.y);

   }

}
