import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Stroke;
import java.awt.Point;

/** Text that may be drawn on the canvas. */
public class TextShape implements Shape {
	
	private Color color;
	private String string;
	private Point point;
	
	 /** Construct a TextShape given its color,  
		  actual text to display str, and location p. 

		  The constructor assumes that all parameters are nonnull.
	 */
	public TextShape (Color c, String str, Point p) {
		color = c;
		string = str;
		point = p;
	}
	
	public void draw(Graphics2D gc) {
		gc.setColor(color);
		// stroke setting makes no difference to drawString
		gc.drawString(string, point.x, point.y);
	}
	

}
